> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stockinsights.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Filings Feed

> The Filings Feed API retrieves real-time updates on earnings call transcripts and SEC filings (e.g., 10-K, 10-Q, 8-K) based on the specified document type. Users can optionally filter results by sector, timeframe, or other parameters to facilitate targeted information retrieval.



## OpenAPI

````yaml openapi-us get /api/us/v0/documents
openapi: 3.0.0
info:
  title: stockinsights.ai APIs
  description: All the APIs of stockinsights.ai
  version: 1.0.0
servers:
  - url: https://stockinsights-ai-us-main-f5fd25a.zuplo.app
security:
  - bearerAuth: []
paths:
  /api/us/v0/documents:
    get:
      summary: Filings Feed
      description: >-
        The Filings Feed API retrieves real-time updates on earnings call
        transcripts and SEC filings (e.g., 10-K, 10-Q, 8-K) based on the
        specified document type. Users can optionally filter results by sector,
        timeframe, or other parameters to facilitate targeted information
        retrieval.
      operationId: getDocumentFeed
      parameters:
        - name: document_type
          in: query
          required: true
          schema:
            type: string
            enum:
              - 10-K
              - 20-F
              - 10-Q
              - earnings-transcript
              - 8-K
              - 6-K
              - proxy
          description: >-
            The type of document to retrieve. Choose from 'earnings-transcript',
            '10-K', '8-K'.
        - name: cik
          in: query
          description: >-
            CIKs (Central Index Keys) of companies. Multiple CIKs can be
            provided separated by commas. Each CIK should be a 10-digit number
            (include leading zeros if necessary). Get CIKs from [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view).
          schema:
            type: string
            example: '0001045810'
          required: false
        - name: sector
          in: query
          description: >-
            Sector classification of the companies. Multiple values can be
            provided separated by commas. Get valid sector values from [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view).
          schema:
            type: string
          required: false
        - name: industry
          in: query
          description: >-
            Industry classification of the companies. Multiple values can be
            provided separated by commas. Check valid industry values from
            [Company
            Details](https://drive.google.com/file/d/1XQh20CTDEn_uFhRArOQm9jkVesnSkSTI/view)
          schema:
            type: string
          required: false
        - name: quarter
          in: query
          required: false
          schema:
            type: string
            enum:
              - Q1
              - Q2
              - Q3
              - Q4
            example: Q1
          description: >-
            Fiscal quarter values in the format Q1, Q2, Q3, Q4. Multiple values
            can be provided separated by commas. Use this parameter to filter by
            specific quarters.
        - name: year
          in: query
          required: false
          schema:
            type: string
            example: '2024'
          description: >-
            Fiscal year values in the format YYYY (e.g., 2024, 2023). Multiple
            values can be provided separated by commas. Use this parameter to
            filter data by specific years.
        - name: page
          in: query
          description: >-
            Page number for pagination. This parameter is optional and defaults
            to 1 if not specified.
          schema:
            type: integer
            minimum: 1
            example: 1
          required: false
        - name: limit
          in: query
          description: >-
            The number of results to return per page. This parameter is optional
            and defaults to 20 if not specified. Maximum value is 50.
          schema:
            type: integer
            maximum: 50
            example: 20
          required: false
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: string
                    enum:
                      - success
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/Document'
                  meta:
                    $ref: '#/components/schemas/Meta'
        '400':
          description: Invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Document:
      type: object
      description: >-
        Represents details of a document/filing of a company. A document could
        be either earnings transcript, 10-K or 8-k. Contains the link to the raw
        document and the AI insights of the document 
      properties:
        id:
          type: string
          description: Internal Document ID
        type:
          type: string
          enum:
            - earnings-transcript
            - 10-K
            - 8-K
          description: Represents the type of document
        pdf_link:
          type: string
          description: >-
            PDF Link of the document. A document can have either a pdf_link or
            html_link
        html_link:
          type: string
          description: >-
            HTML Link of the document. A document can have either a pdf_link or
            html_link
        cik:
          type: string
          description: Company CIK
          example: '0001045810'
        company_id:
          type: string
          description: Internal Company ID
        company_name:
          type: string
        ticker:
          type: string
          description: Company Ticker
        year:
          type: string
          description: Year associated with the document. Format YYYY
        month:
          type: string
          description: Month associated with the document
        quarter:
          type: string
          enum:
            - Q1
            - Q2
            - Q3
            - Q4
          description: Quarter associated with the document
        published_date:
          type: string
          description: UTC Timestamp of the document published date-time
          format: date-time
    Meta:
      type: object
      properties:
        total_count:
          type: integer
          format: int64
          description: Total item count for the given request.
        page:
          type: integer
          format: int64
          description: Current Page number.
        limit:
          type: integer
          format: int64
          description: Number of items in the current response.
    Error:
      type: object
      properties:
        errors:
          type: array
          items:
            type: object
            properties:
              status:
                type: string
                description: Error status
              title:
                type: string
                description: Error description
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````